Bug 229073 - gtk2-2.4.13-22.i386.rpm problem with /etc/gtk-2.0/
gtk2-2.4.13-22.i386.rpm problem with /etc/gtk-2.0/
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gtk2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cosimo Cecchi
Depends On:
  Show dependency treegraph
Reported: 2007-02-16 14:59 EST by Johnny Hughes
Modified: 2013-04-30 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Hughes 2007-02-16 14:59:46 EST
In gtk2-2.4.13-22.i386.rpm inside the /etc/gtk-2.0/ directory, the directory has
shifted from:




This causes problems with many apps.  Doing this will fix it temporarily:

cd /etc/grk-2.0/
ln -s i686-redhat-linux-gnu i386-redhat-linux-gnu

This can be fixed by rebuilding the gtk2 and defining the following on the
command line:

--define "_build i386-redhat-linux-gnu" --define "_host i386-redhat-linux-gnu"

This issue is also in the CentOS Bug tracker at:


The following packages also need to be built with "_build" and "_host" defined
as i386 and not i686 (at least in the current RHEL4 codebase):

pango, emacs, librsvg2
Comment 1 Jiri Pallich 2012-06-20 12:05:05 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.